<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="BooleanLogger"
	description="Компонент, логирующий булево значение" fileName="NPCBooleanLogger.jar"
	className="org.mati.npc.components.booleanvaluelogger.NPCBooleanLogger"
	version="8791" time="17.02.2009 01:05:07">

	<Group>Журналирование</Group>

	<INLink name="Sensor"
		description="Изменяет значение в памяти, и передает по всем исходящим связям."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="Log"
		description="Записывает в лог последнее пришедшее значение"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="false">
	</INLink>
	<INLink name="Effector"
		description="Изменяет значение в памяти, и передает по всем исходящим связям."
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</INLink>

	<OUTLink name="OutE"
		description="Исходящая связь для управления эффекторами"
		interfaceName="org.mati.npc.components.interfaces.Effector"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutS"
		description="Исходящая связь для эмуляции сенсора"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>

	<Attribute name="Name" description="Наименование параметра"
		nullable="false" type="java.lang.String" defaultValue="Компонент записи булевого значения">
	</Attribute>
	<Attribute name="Value" description="Значение по умолчанию" nullable="false"
		type="java.lang.Boolean" defaultValue="false">
	</Attribute>
	<Attribute name="TrueString" description="Интерпретация true" nullable="false"
		type="java.lang.String" defaultValue="Включено">
	</Attribute>
	<Attribute name="FalseString" description="Интерпретация false" nullable="false"
		type="java.lang.String" defaultValue="Выключено">
	</Attribute>
	<Attribute name="LogByTrue" description="Если включено - логируется только по true, выключено - по true/false" nullable="false"
		type="java.lang.Boolean" defaultValue="false">
	</Attribute>

</ClassComponent>